Bug 1267280 - Repositories folder created outside of EAP directory
Repositories folder created outside of EAP directory
Status: NEW
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: manstis
Tomas Livora
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 10:15 EDT by Tomas Livora
Modified: 2016-01-08 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Livora 2015-09-29 10:15:16 EDT
Description of problem:
If you run BPMS using your own script which is located outside of 'jboss-eap-6.4' directory, 'repositories' folder will be created in the same directory where this script is located.

Version-Release number of selected component (if applicable):
6.2.0 ER3

Steps to Reproduce:
1. Run BPMS with shell script located outside of 'jboss-eap-6.4' directory.
2. See what will appear in the folder with your script.

Actual results:
'repositories' folder and some XML file are created there.

Expected results:
Nothing should be created outside the jboss-eap-6.4 folder. 'repositories' directory should have fixed location inside EAP folder.
Comment 1 Kris Verlaenen 2015-09-29 11:40:26 EDT
This default behavior can be changed using system properties, isn't that sufficient in this case (for example the installer script could set that system property so that the repository is always created in the same location, regardless of where the script was invoked from)?
Comment 2 Tomas Livora 2015-10-01 04:25:09 EDT
Thanks for the information Kris. I did not know there is a system property to change this behavior. But why is the 'repositories' folder created at the same location where the script running BPMS is located? Is it done this way on purpose? Because otherwise I think it should have fixed location inside jboss-eap-6.4 directory unless something else is specified by that system property you have mentioned.
Comment 3 manstis 2015-10-01 05:00:39 EDT
@Thomas, can you please also advise the location of the other folders created by Business Central when running from the script? e.g. .niogit. 

The location of .niogit is a child of System.getProperty( "user.dir" ) which according to http://stackoverflow.com/questions/16239130/java-user-dir-property-what-exactly-it-means would be the folder the user "starting the process" was "in". So, I'd expect it to be in the same folder as the script you mention.

The "repository" folder is created from an relative parent too (however we don't explicitly use the above System Property), and it appears this is also the folder in which the User executed the script.

So, whatever we do for this BZ needs to be consistent for all folders created by Business Central. If .niogit is in the expected/correct folder I can simply change the location of the "repositories" folder to use the System Property as a parent.
Comment 4 Tomas Livora 2015-10-06 02:54:23 EDT
Michael, now I can see there also other folders like .index, .niogit and .security. I have quickly checked the EAP documentation [1] but I am not really sure what is the best location for these folders. Maybe they can be put directly to jboss-eap-6.4 folder (JBOSS_HOME).

[1] https://access.redhat.com/documentation/en-US/JBoss_Enterprise_Application_Platform/6.4/html/Installation_Guide/Installation_Structure.html

Note You need to log in before you can comment on or make changes to this bug.